Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwVisiblePlugin

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.plugins.VisiblePlugin
                  |
                  +--biouml.plugins.sbw.SbwVisiblePlugin

public class SbwVisiblePlugin
extends VisiblePlugin

Wrapper class to get access to SBW modules from BioUML. The collection itself consists from two sub collections: first group SbwServices by categories, second group them by SbwModules.

pending add SbwPlugin using SBW.addListener and try to translate SBW events to DataCollectionEvents.

Constructor Summary
`SbwVisiblePlugin(DataCollection parent, Properties properties)` Constructor to be used by CollectionFactory to create a Plugin.

Method Summary
`Class` | `getDataElementType()`
`static SbwVisiblePlugin` | `getInstance()`
`String` | `getStatus()`
`Iterator` | `iterator()`
`void` | `shutdown()`
`void` | `startup()`

Methods inherited from class ru.biosoft.plugins.VisiblePlugin
`close, getDescription`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getInfo, getNameList, getSize, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### SbwVisiblePlugin

    public SbwVisiblePlugin(DataCollection parent, Properties properties)

  Constructor to be used by CollectionFactory to create a Plugin.

Method Detail

### getDataElementType

    public Class getDataElementType()

### getInstance

    public static SbwVisiblePlugin getInstance()

### getStatus

    public String getStatus()

### iterator

    public Iterator iterator()

### shutdown

    public void shutdown()

### startup

    public void startup()
                  throws java.lang.Exception

Association Links

to Class java.lang.String

to Class java.lang.String

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

to Class biouml.plugins.sbw.SbwVisiblePlugin

to Class java.lang.String

Dependency Links

to Class biouml.plugins.sbw.SbwServiceCategory

  link dependency

to Class biouml.plugins.sbw.SbwModule

  link dependency

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM